diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/yans-wifi-phy.h ns-3.44/src/wifi/model/yans-wifi-phy.h
--- ns-3.43/src/wifi/model/yans-wifi-phy.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/yans-wifi-phy.h	2025-03-09 16:55:49.807372600 -0700
@@ -19,8 +19,8 @@
 class YansWifiChannel;
 
 /**
- * \brief 802.11 PHY layer model
- * \ingroup wifi
+ * @brief 802.11 PHY layer model
+ * @ingroup wifi
  *
  * This PHY implements a model of 802.11a. The model
  * implemented here is based on the model described
@@ -37,8 +37,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -58,7 +58,7 @@
     /**
      * Set the YansWifiChannel this YansWifiPhy is to be connected to.
      *
-     * \param channel the YansWifiChannel this YansWifiPhy is to be connected to
+     * @param channel the YansWifiChannel this YansWifiPhy is to be connected to
      */
     void SetChannel(const Ptr<YansWifiChannel> channel);
 
@@ -66,18 +66,18 @@
      * Logs the arrival of a PPDU, including its power and duration.
      * This will also trace PPDUs below WifiPhy::RxSensitivity
      *
-     * \param [in] ppdu The PPDU being traced upon its arrival.
-     * \param [in] rxPowerDbm The received power of the PPDU in dBm.
-     * \param [in] duration The duration of the PPDU signal.
+     * @param [in] ppdu The PPDU being traced upon its arrival.
+     * @param [in] rxPowerDbm The received power of the PPDU in dBm.
+     * @param [in] duration The duration of the PPDU signal.
      */
     void TraceSignalArrival(Ptr<const WifiPpdu> ppdu, double rxPowerDbm, Time duration);
 
     /**
      * Callback invoked when the PHY model starts to process a signal
      *
-     * \param ppdu The PPDU being processed
-     * \param rxPowerDbm received signal power (dBm)
-     * \param duration Signal duration
+     * @param ppdu The PPDU being processed
+     * @param rxPowerDbm received signal power (dBm)
+     * @param duration Signal duration
      */
     typedef void (*SignalArrivalCallback)(Ptr<const WifiPpdu> ppdu,
                                           double rxPowerDbm,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/80211b.c ns-3.44/src/wifi/test/80211b.c
--- ns-3.43/src/wifi/test/80211b.c	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/test/80211b.c	2025-03-09 16:55:49.807372600 -0700
@@ -7,9 +7,9 @@
  */
 
 /**
- * \file
- * \ingroup wifi-test
- * \ingroup tests
+ * @file
+ * @ingroup wifi-test
+ * @ingroup tests
  *
  * This program is used to generate plots found in the paper
  * Guangyu Pei and Tom Henderson, "Validation of ns-3 802.11b PHY model",
@@ -27,8 +27,8 @@
  */
 
 /**
- * \ingroup wifi
- * \defgroup wifi-test wifi module tests
+ * @ingroup wifi
+ * @defgroup wifi-test wifi module tests
  */
 
 #ifndef DOXYGEN_SHOULD_SKIP_THIS
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/block-ack-test-suite.cc ns-3.44/src/wifi/test/block-ack-test-suite.cc
--- ns-3.43/src/wifi/test/block-ack-test-suite.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/test/block-ack-test-suite.cc	2025-03-09 16:55:49.807372600 -0700
@@ -43,10 +43,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiBlockAckTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Packet Buffering Case A
+ * @brief Packet Buffering Case A
  *
  * This simple test verifies the correctness of buffering for packets received
  * under block ack. In order to completely understand this example is important to cite
@@ -149,10 +149,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Packet Buffering Case B
+ * @brief Packet Buffering Case B
  *
  * ----- = old packets
  * +++++ = new packets
@@ -261,10 +261,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for the originator block ack window
+ * @brief Test for the originator block ack window
  */
 class OriginatorBlockAckWindowTest : public TestCase
 {
@@ -665,10 +665,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for block ack header
+ * @brief Test for block ack header
  */
 class CtrlBAckResponseHeaderTest : public TestCase
 {
@@ -762,17 +762,17 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for recipient reordering buffer operations
+ * @brief Test for recipient reordering buffer operations
  */
 class BlockAckRecipientBufferTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor
-     * \param ssn the Starting Sequence Number used to initialize WinStartB
+     * @brief Constructor
+     * @param ssn the Starting Sequence Number used to initialize WinStartB
      */
     BlockAckRecipientBufferTest(uint16_t ssn);
     ~BlockAckRecipientBufferTest() override;
@@ -782,8 +782,8 @@
     /**
      * Keep track of MPDUs received on the given link that are forwarded up.
      *
-     * \param mpdu an MPDU that is forwarded up
-     * \param linkId the ID of the given link
+     * @param mpdu an MPDU that is forwarded up
+     * @param linkId the ID of the given link
      */
     void ForwardUp(Ptr<const WifiMpdu> mpdu, uint8_t linkId);
 
@@ -989,10 +989,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for Multi-STA block ack header
+ * @brief Test for Multi-STA block ack header
  */
 class MultiStaCtrlBAckResponseHeaderTest : public TestCase
 {
@@ -1659,10 +1659,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for Block Ack Policy with aggregation disabled
+ * @brief Test for Block Ack Policy with aggregation disabled
  *
  * This test aims to check the Block Ack policy when A-MPDU aggregation is disabled.
  * In this case, a QoS station can transmit multiple QoS data frames before requesting
@@ -1711,9 +1711,9 @@
     {
         /**
          * Callback for the TxopTrace trace
-         * \param startTime TXOP start time
-         * \param duration TXOP duration
-         * \param linkId the ID of the link
+         * @param startTime TXOP start time
+         * @param duration TXOP duration
+         * @param linkId the ID of the link
          */
         void Trace(Time startTime, Time duration, uint8_t linkId);
         Time m_max{Seconds(0)}; ///< max TXOP duration
@@ -1721,8 +1721,8 @@
 
   public:
     /**
-     * \brief Constructor
-     * \param txop true for non-null TXOP limit
+     * @brief Constructor
+     * @param txop true for non-null TXOP limit
      */
     BlockAckAggregationDisabledTest(bool txop);
     ~BlockAckAggregationDisabledTest() override;
@@ -1740,23 +1740,23 @@
 
     /**
      * Function to trace packets received by the server application
-     * \param context the context
-     * \param p the packet
-     * \param adr the address
+     * @param context the context
+     * @param p the packet
+     * @param adr the address
      */
     void L7Receive(std::string context, Ptr<const Packet> p, const Address& adr);
     /**
      * Callback invoked when PHY transmits a packet
-     * \param context the context
-     * \param p the packet
-     * \param power the tx power
+     * @param context the context
+     * @param p the packet
+     * @param power the tx power
      */
     void Transmit(std::string context, Ptr<const Packet> p, double power);
     /**
      * Callback invoked when PHY receives a packet
-     * \param context the context
-     * \param p the packet
-     * \param rxPowersW the received power per channel band in watts
+     * @param context the context
+     * @param p the packet
+     * @param rxPowersW the received power per channel band in watts
      */
     void Receive(std::string context, Ptr<const Packet> p, RxPowerWattPerChannelBand rxPowersW);
 };
@@ -1958,7 +1958,7 @@
     client1->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client1);
     client1->SetStartTime(Seconds(1));
-    client1->SetStopTime(Seconds(3.0));
+    client1->SetStopTime(Seconds(3));
 
     // the second client application generates 13 packets. Even if when the first
     // packet is queued the queue is empty, the first packet is not transmitted
@@ -1971,13 +1971,13 @@
     client2->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client2);
     client2->SetStartTime(Seconds(1.5));
-    client2->SetStopTime(Seconds(3.0));
+    client2->SetStopTime(Seconds(3));
 
     Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiApNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(4.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(4));
 
     Config::Connect("/NodeList/*/ApplicationList/0/$ns3::PacketSocketServer/Rx",
                     MakeCallback(&BlockAckAggregationDisabledTest::L7Receive, this));
@@ -2008,10 +2008,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test for Block Ack Policy with non-null BA threshold and TX window blocked.
+ * @brief Test for Block Ack Policy with non-null BA threshold and TX window blocked.
  *
  * An EHT device establishes a Block Ack agreement (for TID 0) with the AP and uses a Block Ack
  * threshold of 0.125 (i.e., Block Ack is requested if there are at least 64 * 0.125 = 8 MPDUs
@@ -2030,16 +2030,16 @@
 {
   public:
     /**
-     * \param mld whether the non-AP device is a multi-link device
+     * @param mld whether the non-AP device is a multi-link device
      */
     OrigBlockAckWindowStalled(bool mld);
 
     /**
      * Callback invoked when a FEM passes PSDUs to the PHY.
      *
-     * \param psduMap the PSDU map
-     * \param txVector the TX vector
-     * \param txPowerW the tx power in Watts
+     * @param psduMap the PSDU map
+     * @param txVector the TX vector
+     * @param txPowerW the tx power in Watts
      */
     void Transmit(WifiConstPsduMap psduMap, WifiTxVector txVector, double txPowerW);
 
@@ -2215,13 +2215,13 @@
     client->SetRemote(socket);
     wifiStaNode.Get(0)->AddApplication(client);
     client->SetStartTime(Seconds(0.5));
-    client->SetStopTime(Seconds(3.0));
+    client->SetStopTime(Seconds(3));
 
     auto server = CreateObject<PacketSocketServer>();
     server->SetLocal(socket);
     wifiApNode.Get(0)->AddApplication(server);
-    server->SetStartTime(Seconds(0.0));
-    server->SetStopTime(Seconds(4.0));
+    server->SetStartTime(Seconds(0));
+    server->SetStopTime(Seconds(4));
 }
 
 void
@@ -2241,10 +2241,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Block Ack Test Suite
+ * @brief Block Ack Test Suite
  */
 class BlockAckTestSuite : public TestSuite
 {
